perl-Perl-Critic-More-1.000-9.el7.noarch.rpm


Advertisement

Description

perl-Perl-Critic-More - Supplemental policies for Perl::Critic

Property Value
Distribution CentOS 7
Repository CentOS x86_64
Package name perl-Perl-Critic-More
Package version 1.000
Package release 9.el7
Package architecture noarch
Package type rpm
Installed size 79.37 KB
Download size 47.03 KB
Official Mirror mirror.centos.org
This is a collection of Perl::Critic policies that are not included in the
Perl::Critic core for a variety of reasons.

Alternatives

Package Version Architecture Repository
perl-Perl-Critic-More - - -

Requires

Name Value
perl >= 5.006001
perl >= 5.006
perl(:MODULE_COMPAT_5.16.3) -
perl(Carp) -
perl(English) -
perl(List::MoreUtils) -
perl(Perl::Critic) >= 1.082
perl(Perl::Critic::Policy) -
perl(Perl::Critic::Utils) -
perl(Perl::MinimumVersion) >= 0.14
perl(Readonly) >= 1.03
perl(base) -
perl(strict) -
perl(warnings) -

Provides

Name Value
perl(Perl::Critic::More) = 1.000
perl(Perl::Critic::Policy::CodeLayout::RequireASCII) = 1.000
perl(Perl::Critic::Policy::Editor::RequireEmacsFileVariables) = 1.000
perl(Perl::Critic::Policy::ErrorHandling::RequireUseOfExceptions) = 1.000
perl(Perl::Critic::Policy::Miscellanea::RequireRcsKeywords) = 1.000
perl(Perl::Critic::Policy::Modules::PerlMinimumVersion) = 1.000
perl(Perl::Critic::Policy::Modules::RequirePerlVersion) = 1.000
perl(Perl::Critic::Policy::ValuesAndExpressions::RestrictLongStrings) = 1.000
perl-Perl-Critic-More = 1.000-9.el7

Download

Type URL
Binary Package perl-Perl-Critic-More-1.000-9.el7.noarch.rpm
Source Package perl-Perl-Critic-More-1.000-9.el7.src.rpm

Install Howto

Install the perl-Perl-Critic-More rpm package:

# yum install perl-Perl-Critic-More

Files

Path
/usr/share/doc/perl-Perl-Critic-More-1.000/Changes
/usr/share/doc/perl-Perl-Critic-More-1.000/LICENSE
/usr/share/doc/perl-Perl-Critic-More-1.000/README
/usr/share/doc/perl-Perl-Critic-More-1.000/TODO.pod
/usr/share/man/man3/Perl::Critic::More.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::CodeLayout::RequireASCII.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Editor::RequireEmacsFileVariables.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::ErrorHandling::RequireUseOfExceptions.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Miscellanea::RequireRcsKeywords.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Modules::PerlMinimumVersion.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Modules::RequirePerlVersion.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::RestrictLongStrings.3pm.gz
/usr/share/perl5/vendor_perl/Perl/
/usr/share/perl5/vendor_perl/Perl/Critic/More.pm
/usr/share/perl5/vendor_perl/Perl/Critic/Policy/
/usr/share/perl5/vendor_perl/Perl/Critic/Policy/CodeLayout/RequireASCII.pm
/usr/share/perl5/vendor_perl/Perl/Critic/Policy/Editor/RequireEmacsFileVariables.pm
/usr/share/perl5/vendor_perl/Perl/Critic/Policy/ErrorHandling/RequireUseOfExceptions.pm
/usr/share/perl5/vendor_perl/Perl/Critic/Policy/Miscellanea/RequireRcsKeywords.pm
/usr/share/perl5/vendor_perl/Perl/Critic/Policy/Modules/PerlMinimumVersion.pm
/usr/share/perl5/vendor_perl/Perl/Critic/Policy/Modules/RequirePerlVersion.pm
/usr/share/perl5/vendor_perl/Perl/Critic/Policy/ValuesAndExpressions/RestrictLongStrings.pm

Changelog

2013-12-27 - Daniel Mach <dmach@redhat.com> - 1.000-9
- Mass rebuild 2013-12-27
2012-10-24 - Petr Pisar <ppisar@redhat.com> - 1.000-8
- Modernize spec file
2012-07-20 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
2012-07-13 - Petr Pisar <ppisar@redhat.com> - 1.000-6
- Add Miscellanea::RequireRcsKeywords droped from Perl::Critic. Credits to Paul
Howarth. (bug #839815)
2012-06-20 - Petr Pisar <ppisar@redhat.com> - 1.000-5
- Perl 5.16 rebuild
2012-01-13 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
2011-07-26 - Marcela Mašláňová <mmaslano@redhat.com> - 1.000-3
- add RPM4.9 macro filter
2011-07-19 - Petr Sabata <contyk@redhat.com> - 1.000-2
- Perl mass rebuild
2011-03-24 - Petr Pisar <ppisar@redhat.com> 1.000-1
- Specfile autogenerated by cpanspec 1.78.
- Remove BuildRoot stuff

See Also

Package Description
perl-Perl-MinimumVersion-1.32-2.el7.noarch.rpm Find a minimum required version of perl for Perl code
perl-Perl-OSType-1.003-3.el7.noarch.rpm Map Perl operating system names to generic types
perl-Perl4-CoreLibs-0.003-7.el7.noarch.rpm Libraries historically supplied with Perl 4
perl-PlRPC-0.2020-14.el7.noarch.rpm Interface for writing PlRPC clients and servers
perl-Pod-Checker-1.60-2.el7.noarch.rpm Check POD documents for syntax errors
perl-Pod-Coverage-0.23-3.el7.noarch.rpm Checks if the documentation of a module is comprehensive
perl-Pod-Coverage-TrustPod-0.100002-5.el7.noarch.rpm Allow a module's pod to contain Pod::Coverage hints
perl-Pod-Escapes-1.04-292.el7.noarch.rpm Perl module for resolving POD escape sequences
perl-Pod-Eventual-0.093330-12.el7.noarch.rpm Read a POD document as a series of trivial events
perl-Pod-LaTeX-0.61-2.el7.noarch.rpm Convert POD data to formatted LaTeX
perl-Pod-POM-0.27-10.el7.noarch.rpm Object-oriented interface to Perl POD documents
perl-Pod-Parser-1.61-2.el7.noarch.rpm Basic perl modules for handling Plain Old Documentation (POD)
perl-Pod-Perldoc-3.20-4.el7.noarch.rpm Look up Perl documentation in Pod format
perl-Pod-Plainer-1.03-4.el7.noarch.rpm Perl extension for converting Pod to old-style Pod
perl-Pod-Simple-3.28-4.el7.noarch.rpm Framework for parsing POD documentation
Advertisement
Advertisement